Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637140 - sys-libs/glibc-2.25-r9 stabilization
Summary: sys-libs/glibc-2.25-r9 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 552894 CVE-2017-12132 CVE-2017-12133 CVE-2017-14062bis CVE-2017-15670, CVE-2017-15671 635010 CVE-2017-15804
  Show dependency tree
 
Reported: 2017-11-11 15:54 UTC by Andreas K. Hüttel
Modified: 2017-11-29 05:52 UTC (History)
1 user (show)

See Also:
Package list:
sys-libs/glibc-2.25-r9
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel archtester gentoo-dev 2017-11-11 15:54:09 UTC
sys-libs/glibc-2.25-r9 stabilization: please do, all stable arches

If you already have 2.25-r8 stable, then this upgrade should be uproblematic. It adds four small security fixes (in internationalized domain name handling and globbing).
Comment 1 Thomas Deutschmann gentoo-dev 2017-11-11 18:00:22 UTC
x86 stable
Comment 2 Matt Turner gentoo-dev 2017-11-11 23:24:03 UTC
alpha stable
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-11 23:37:22 UTC
ia64/ppc/ppc64 stable
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2017-11-13 17:11:48 UTC
amd64 stable
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-14 09:01:41 UTC
hppa stable
Comment 6 Rolf Eike Beer archtester 2017-11-16 16:18:13 UTC
sparc fails because of bug 637140
Comment 7 Andreas K. Hüttel archtester gentoo-dev 2017-11-17 00:02:45 UTC
(In reply to Rolf Eike Beer from comment #6)
> sparc fails because of bug 637140

2.25 tests won't work. They are only fixed in 2.26. Please do not take this as basis for stable decisions.
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-18 20:51:57 UTC
sparc stable (thanks to Rolf Eike Beer)
Comment 9 Markus Meier gentoo-dev 2017-11-29 05:52:07 UTC
arm stable, all arches done.